Bug 170382 - RHEL3: buffer overflow detected in fuser
RHEL3: buffer overflow detected in fuser
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: psmisc (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
:
Depends On:
Blocks: 187539
  Show dependency treegraph
 
Reported: 2005-10-11 04:27 EDT by Karel Zak
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2006-0394
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-26 17:14:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Zak 2005-10-11 04:27:27 EDT
+++ This bug was initially created as a clone of Bug #165167 +++

Description of problem:
I saw a message about a buffer overflow while my system was shutting down.  I
couldn't collect the message so I had to look at the sources.  There were no
_chk variants of the string functions used so it must have been the sprintf
call.  Low and behold, there are a couple of problems.  In kill_item (the
probably place of the message I saw) the buffer is too small for even a 5 digits
PID.  We nowadays can have 7 digits or more.  I looked through the code and
fixed a few more places which can cause problems.  Patch is attached.

Version-Release number of selected component (if applicable):
psmisc-21.5-4.

How reproducible:
Didn't try

Steps to Reproduce:
1.Don't know.  Shut down system with many of the system processes (I guess it
was NFS/autofs related) having high >= 10000 PIDs.
2.
3.
  
Actual results:
buffer overflow

Expected results:
no buffer overflow

Additional info:

-- Additional comment from drepper@redhat.com on 2005-08-04 16:09 EST --
Created an attachment (id=117480)
Patch to fix a few sprintf problems.


-- Additional comment from kzak@redhat.com on 2005-09-08 08:13 EST --
Fixed in FC4 and FC5. 

-- Additional comment from kzak@redhat.com on 2005-09-08 08:17 EST --
The report is valid for RHEL3 and RHEL4 too.
Comment 6 Red Hat Bugzilla 2006-04-26 17:14:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0394.html

Note You need to log in before you can comment on or make changes to this bug.